<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="BookmarkManager">
    <bookmark url="file://$PROJECT_DIR$/i18n/strings_zh.properties" />
    <bookmark url="file://$PROJECT_DIR$/vod_media_file.html" line="156" />
    <bookmark url="file://$PROJECT_DIR$/i18n/strings_en.properties" />
    <bookmark url="file://$PROJECT_DIR$/js/live.js" line="364" />
    <bookmark url="file://$PROJECT_DIR$/js/live.js" line="1242" />
    <bookmark url="file://$PROJECT_DIR$/media_choose.html" line="74" />
    <bookmark url="file://$PROJECT_DIR$/pc_index.html" line="507" />
    <bookmark url="file://$PROJECT_DIR$/pc_index.html" line="1279" />
    <bookmark url="file://$PROJECT_DIR$/play_live.html" line="102" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="a2a07390-9c39-48da-8868-716b3e08aa50" name="Default" comment="" />
    <ignored path="web.iws" />
    <ignored path=".idea/workspace.xml" />
    <ignored path=".idea/dataSources.local.xml" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="TRACKING_ENABLED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ChangesViewManager" flattened_view="true" show_ignored="false" />
  <component name="CreatePatchCommitExecutor">
    <option name="PATCH_PATH" value="" />
  </component>
  <component name="DatabaseView">
    <option name="GROUP_SCHEMA" value="true" />
    <option name="GROUP_CONTENTS" value="false" />
    <option name="SORT_POSITIONED" value="false" />
    <option name="SHOW_TABLE_DETAILS" value="true" />
    <option name="SHOW_EMPTY_GROUPS" value="false" />
  </component>
  <component name="ExecutionTargetManager" SELECTED_TARGET="default_target" />
  <component name="FavoritesManager">
    <favorites_list name="web" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file leaf-file-name="pc_index.html" pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/pc_index.html">
          <provider selected="true" editor-type-id="text-editor">
            <state vertical-scroll-proportion="0.26334518">
              <caret line="1338" column="1" selection-start-line="1338" selection-start-column="1" selection-end-line="1338" selection-end-column="1" />
              <folding>
                <marker date="1486713227754" expanded="true" signature="5826:5859" placeholder="..." />
                <marker date="1486713227754" expanded="true" signature="5981:6014" placeholder="..." />
                <marker date="1486713227754" expanded="true" signature="6163:6174" placeholder="..." />
                <marker date="1486713227754" expanded="true" signature="6336:6368" placeholder="..." />
                <marker date="1486713227754" expanded="true" signature="6406:6418" placeholder="..." />
                <marker date="1486713227754" expanded="true" signature="10193:10217" placeholder="..." />
                <marker date="1486713227754" expanded="true" signature="10406:10447" placeholder="..." />
                <marker date="1486713227754" expanded="true" signature="10546:10704" placeholder="..." />
                <marker date="1486713227754" expanded="true" signature="12756:12780" placeholder="..." />
                <marker date="1486713227754" expanded="true" signature="12967:13008" placeholder="..." />
                <marker date="1486713227754" expanded="true" signature="13105:13263" placeholder="..." />
                <marker date="1486713227754" expanded="true" signature="14413:14438" placeholder="..." />
                <marker date="1486713227754" expanded="true" signature="20519:20543" placeholder="..." />
                <marker date="1486713227754" expanded="true" signature="20738:20779" placeholder="..." />
                <marker date="1486713227754" expanded="true" signature="20874:21032" placeholder="..." />
                <marker date="1486713227754" expanded="true" signature="21125:21137" placeholder="..." />
                <marker date="1486713227754" expanded="true" signature="22133:22158" placeholder="..." />
                <marker date="1486713227754" expanded="true" signature="25545:25569" placeholder="..." />
                <marker date="1486713227754" expanded="true" signature="25763:25804" placeholder="..." />
                <marker date="1486713227754" expanded="true" signature="25899:26057" placeholder="..." />
                <marker date="1486713227754" expanded="true" signature="26150:26162" placeholder="..." />
                <marker date="1486713227754" expanded="true" signature="27158:27183" placeholder="..." />
                <marker date="1486713227754" expanded="true" signature="30620:30644" placeholder="..." />
                <marker date="1486713227754" expanded="true" signature="30839:30880" placeholder="..." />
                <marker date="1486713227754" expanded="true" signature="30977:31135" placeholder="..." />
                <marker date="1486713227754" expanded="true" signature="31229:31241" placeholder="..." />
                <marker date="1486713227754" expanded="true" signature="32265:32290" placeholder="..." />
                <marker date="1486713227754" expanded="true" signature="35673:35697" placeholder="..." />
                <marker date="1486713227754" expanded="true" signature="35892:35933" placeholder="..." />
                <marker date="1486713227754" expanded="true" signature="36030:36188" placeholder="..." />
                <marker date="1486713227754" expanded="true" signature="36282:36294" placeholder="..." />
                <marker date="1486713227754" expanded="true" signature="37314:37339" placeholder="..." />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="HTML File" />
        <option value="JavaScript File" />
      </list>
    </option>
  </component>
  <component name="GradleLocalSettings">
    <option name="externalProjectsViewState">
      <projects_view />
    </option>
  </component>
  <component name="HighlightingSettingsPerFile">
    <setting file="file://$PROJECT_DIR$/pc_index_flv.html" root0="SKIP_INSPECTION" />
    <setting file="file://$PROJECT_DIR$/live_guid_play.html" root0="SKIP_INSPECTION" />
    <setting file="file://$PROJECT_DIR$/live_replace.html" root0="SKIP_INSPECTION" />
    <setting file="file://$PROJECT_DIR$/play_live.html" root0="SKIP_INSPECTION" />
    <setting file="file://$PROJECT_DIR$/js/live.js" root0="SKIP_INSPECTION" />
    <setting file="file://$PROJECT_DIR$/vod_media_file.html" root0="SKIP_INSPECTION" />
    <setting file="file://$PROJECT_DIR$/live_substream.html" root0="SKIP_INSPECTION" />
    <setting file="file://$PROJECT_DIR$/add_vod.html" root0="SKIP_INSPECTION" />
    <setting file="file://$PROJECT_DIR$/live_list.html" root0="SKIP_INSPECTION" />
    <setting file="file://$PROJECT_DIR$/add_live.html" root0="SKIP_INSPECTION" />
    <setting file="file://$PROJECT_DIR$/live_index.html" root0="SKIP_INSPECTION" />
    <setting file="file://$PROJECT_DIR$/pc_index.html" root0="SKIP_INSPECTION" />
    <setting file="file://$PROJECT_DIR$/live_record_file.html" root0="SKIP_INSPECTION" />
    <setting file="file://$PROJECT_DIR$/edit_live.html" root0="SKIP_INSPECTION" />
    <setting file="file://$PROJECT_DIR$/transfer_media_list.html" root0="SKIP_INSPECTION" />
    <setting file="file://$PROJECT_DIR$/live_conn_list.html" root0="SKIP_INSPECTION" />
    <setting file="file://$PROJECT_DIR$/vod_list.html" root0="SKIP_INSPECTION" />
    <setting file="file://$PROJECT_DIR$/admin.html" root0="SKIP_INSPECTION" />
    <setting file="file://$PROJECT_DIR$/add_guid_play.html" root0="SKIP_INSPECTION" />
    <setting file="file://$PROJECT_DIR$/live_while_play.html" root0="SKIP_INSPECTION" />
    <setting file="file://$PROJECT_DIR$/live_record_time.html" root0="SKIP_INSPECTION" />
    <setting file="file://$PROJECT_DIR$/upload_file.html" root0="SKIP_INSPECTION" />
    <setting file="file://$PROJECT_DIR$/add_concat_media.html" root0="SKIP_INSPECTION" />
    <setting file="file://$PROJECT_DIR$/media_choose.html" root0="SKIP_INSPECTION" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/clear_media.html" />
        <option value="$PROJECT_DIR$/cut_video_image.html" />
        <option value="$PROJECT_DIR$/download_file.html" />
        <option value="$PROJECT_DIR$/edit_back_live.html" />
        <option value="$PROJECT_DIR$/edit_live.html" />
        <option value="$PROJECT_DIR$/edit_transfer.html" />
        <option value="$PROJECT_DIR$/edit_while_live.html" />
        <option value="$PROJECT_DIR$/encoder_list.html" />
        <option value="$PROJECT_DIR$/internet_set.html" />
        <option value="$PROJECT_DIR$/iphone_index.html" />
        <option value="$PROJECT_DIR$/lic_info.html" />
        <option value="$PROJECT_DIR$/live_all_list.html" />
        <option value="$PROJECT_DIR$/live_back_list.html" />
        <option value="$PROJECT_DIR$/live_conn_list.html" />
        <option value="$PROJECT_DIR$/live_furls.html" />
        <option value="$PROJECT_DIR$/live_guid_list.html" />
        <option value="$PROJECT_DIR$/live_guid_play.html" />
        <option value="$PROJECT_DIR$/live_index.html" />
        <option value="$PROJECT_DIR$/live_list.html" />
        <option value="$PROJECT_DIR$/live_qrcode.html" />
        <option value="$PROJECT_DIR$/live_record_file.html" />
        <option value="$PROJECT_DIR$/live_record_time.html" />
        <option value="$PROJECT_DIR$/live_replace.html" />
        <option value="$PROJECT_DIR$/live_substream.html" />
        <option value="$PROJECT_DIR$/live_while_list.html" />
        <option value="$PROJECT_DIR$/live_while_play.html" />
        <option value="$PROJECT_DIR$/media_choose.html" />
        <option value="$PROJECT_DIR$/media_while_choose.html" />
        <option value="$PROJECT_DIR$/mobile_index.html" />
        <option value="$PROJECT_DIR$/modifyip.html" />
        <option value="$PROJECT_DIR$/play_vod_file.html" />
        <option value="$PROJECT_DIR$/server_startup.html" />
        <option value="$PROJECT_DIR$/spilt_m3u8_list.html" />
        <option value="$PROJECT_DIR$/start_transfer.html" />
        <option value="$PROJECT_DIR$/transfer_list.html" />
        <option value="$PROJECT_DIR$/transfer_media_list.html" />
        <option value="$PROJECT_DIR$/upload_file.html" />
        <option value="$PROJECT_DIR$/video_conn_list.html" />
        <option value="$PROJECT_DIR$/vod_list.html" />
        <option value="$PROJECT_DIR$/edit_guid_live.html" />
        <option value="$PROJECT_DIR$/vod_media_file.html" />
        <option value="$PROJECT_DIR$/recorded/interact.html" />
        <option value="$PROJECT_DIR$/recorded/request.html" />
        <option value="$PROJECT_DIR$/recorded/VGANetComp.html" />
        <option value="$PROJECT_DIR$/recorded/a" />
        <option value="$PROJECT_DIR$/recorded/HDMIComp.html" />
        <option value="$PROJECT_DIR$/recorded/images/comp_data/comp.js" />
        <option value="$PROJECT_DIR$/recorded/VGAComp.html" />
        <option value="$PROJECT_DIR$/recorded/video_set.html" />
        <option value="$PROJECT_DIR$/pc_index.html" />
        <option value="$PROJECT_DIR$/play_live.html" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" />
  <component name="JsBuildToolPackageJson" detection-done="true" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
  </component>
  <component name="MavenImportPreferences">
    <option name="generalSettings">
      <MavenGeneralSettings>
        <option name="mavenHome" value="Bundled (Maven 3)" />
      </MavenGeneralSettings>
    </option>
  </component>
  <component name="MavenProjectNavigator">
    <treeState />
  </component>
  <component name="ProjectFrameBounds">
    <option name="x" value="-8" />
    <option name="y" value="-8" />
    <option name="width" value="1936" />
    <option name="height" value="1056" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="false">
    <OptionsSetting value="true" id="Add" />
    <OptionsSetting value="true" id="Remove" />
    <OptionsSetting value="true" id="Checkout" />
    <OptionsSetting value="true" id="Update" />
    <OptionsSetting value="true" id="Status" />
    <OptionsSetting value="true" id="Edit" />
    <ConfirmationsSetting value="0" id="Add" />
    <ConfirmationsSetting value="0" id="Remove" />
  </component>
  <component name="ProjectView">
    <navigator currentView="ProjectPane" proportions="" version="1">
      <flattenPackages />
      <showMembers />
      <showModules />
      <showLibraryContents />
      <hideEmptyPackages />
      <abbreviatePackageNames />
      <autoscrollToSource />
      <autoscrollFromSource />
      <sortByType />
      <manualOrder />
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scratches" />
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="web" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
          </PATH>
        </subPane>
      </pane>
      <pane id="PackagesPane" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="settings.editor.selected.configurable" value="configurable.group.appearance" />
    <property name="settings.editor.splitter.proportion" value="0.2" />
    <property name="project.structure.last.edited" value="Project" />
    <property name="project.structure.proportion" value="0.0" />
    <property name="project.structure.side.proportion" value="0.2" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="DefaultHtmlFileTemplate" value="HTML File" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="D:\AokuSoftware\AMS5.1\AMS5.4_20170104\web\recorded" />
      <recent name="D:\AokuSoftware\AMS5.1\AMS5.4_20170104\web\recorded\images\comp_data" />
      <recent name="D:\AokuSoftware\AMS5.1\AMS5.4_20170104\web\js" />
      <recent name="D:\AokuSoftware\AMS5.1\AMS5.4_20170104\web" />
      <recent name="D:\AokuSoftware\AMS5.1\AMS5.4_20170104\web\recorded\js" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="D:\AokuSoftware\AMS5.1\AMS5.1_20160905\web" />
      <recent name="D:\AokuSoftware\AMS5.1\AMS5.1_20160905\web\ckplayer\js" />
    </key>
  </component>
  <component name="RunManager">
    <configuration default="true" type="#com.intellij.j2ee.web.tomcat.TomcatRunConfigurationFactory" factoryName="Local" ALTERNATIVE_JRE_ENABLED="false">
      <deployment />
      <server-settings>
        <option name="BASE_DIRECTORY_NAME" value="_web_2" />
      </server-settings>
      <predefined_log_file id="Tomcat" enabled="true" />
      <predefined_log_file id="Tomcat Catalina" enabled="true" />
      <predefined_log_file id="Tomcat Manager" enabled="false" />
      <predefined_log_file id="Tomcat Host Manager" enabled="false" />
      <predefined_log_file id="Tomcat Localhost Access" enabled="false" />
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <RunnerSettings RunnerId="Debug">
        <option name="DEBUG_PORT" value="49822" />
      </RunnerSettings>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Cover">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Debug">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Run">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <method />
    </configuration>
    <configuration default="true" type="#org.jetbrains.idea.devkit.run.PluginConfigurationType" factoryName="Plugin">
      <module name="" />
      <option name="VM_PARAMETERS" value="-Xmx512m -Xms256m -XX:MaxPermSize=250m -ea" />
      <option name="PROGRAM_PARAMETERS" />
      <method />
    </configuration>
    <configuration default="true" type="AndroidRunConfigurationType" factoryName="Android Application">
      <module name="" />
      <option name="ACTIVITY_CLASS" value="" />
      <option name="MODE" value="default_activity" />
      <option name="DEPLOY" value="true" />
      <option name="ARTIFACT_NAME" value="" />
      <option name="TARGET_SELECTION_MODE" value="EMULATOR" />
      <option name="USE_LAST_SELECTED_DEVICE" value="false" />
      <option name="PREFERRED_AVD" value="" />
      <option name="USE_COMMAND_LINE" value="true" />
      <option name="COMMAND_LINE" value="" />
      <option name="WIPE_USER_DATA" value="false" />
      <option name="DISABLE_BOOT_ANIMATION" value="false" />
      <option name="NETWORK_SPEED" value="full" />
      <option name="NETWORK_LATENCY" value="none" />
      <option name="CLEAR_LOGCAT" value="false" />
      <option name="SHOW_LOGCAT_AUTOMATICALLY" value="true" />
      <option name="FILTER_LOGCAT_AUTOMATICALLY" value="true" />
      <option name="SELECTED_CLOUD_MATRIX_CONFIGURATION_ID" value="0" />
      <option name="SELECTED_CLOUD_MATRIX_PROJECT_ID" value="" />
      <option name="SELECTED_CLOUD_DEVICE_CONFIGURATION_ID" value="0" />
      <option name="SELECTED_CLOUD_DEVICE_PROJECT_ID" value="" />
      <option name="IS_VALID_CLOUD_MATRIX_SELECTION" value="false" />
      <option name="INVALID_CLOUD_MATRIX_SELECTION_ERROR" value="" />
      <option name="IS_VALID_CLOUD_DEVICE_SELECTION" value="false" />
      <option name="INVALID_CLOUD_DEVICE_SELECTION_ERROR" value="" />
      <option name="CLOUD_DEVICE_SERIAL_NUMBER" value="" />
      <method />
    </configuration>
    <configuration default="true" type="AndroidTestRunConfigurationType" factoryName="Android Tests">
      <module name="" />
      <option name="TESTING_TYPE" value="0" />
      <option name="INSTRUMENTATION_RUNNER_CLASS" value="" />
      <option name="METHOD_NAME" value="" />
      <option name="CLASS_NAME" value="" />
      <option name="PACKAGE_NAME" value="" />
      <option name="TARGET_SELECTION_MODE" value="EMULATOR" />
      <option name="USE_LAST_SELECTED_DEVICE" value="false" />
      <option name="PREFERRED_AVD" value="" />
      <option name="USE_COMMAND_LINE" value="true" />
      <option name="COMMAND_LINE" value="" />
      <option name="WIPE_USER_DATA" value="false" />
      <option name="DISABLE_BOOT_ANIMATION" value="false" />
      <option name="NETWORK_SPEED" value="full" />
      <option name="NETWORK_LATENCY" value="none" />
      <option name="CLEAR_LOGCAT" value="false" />
      <option name="SHOW_LOGCAT_AUTOMATICALLY" value="true" />
      <option name="FILTER_LOGCAT_AUTOMATICALLY" value="true" />
      <option name="SELECTED_CLOUD_MATRIX_CONFIGURATION_ID" value="0" />
      <option name="SELECTED_CLOUD_MATRIX_PROJECT_ID" value="" />
      <option name="SELECTED_CLOUD_DEVICE_CONFIGURATION_ID" value="0" />
      <option name="SELECTED_CLOUD_DEVICE_PROJECT_ID" value="" />
      <option name="IS_VALID_CLOUD_MATRIX_SELECTION" value="false" />
      <option name="INVALID_CLOUD_MATRIX_SELECTION_ERROR" value="" />
      <option name="IS_VALID_CLOUD_DEVICE_SELECTION" value="false" />
      <option name="INVALID_CLOUD_DEVICE_SELECTION_ERROR" value="" />
      <option name="CLOUD_DEVICE_SERIAL_NUMBER" value="" />
      <method />
    </configuration>
    <configuration default="true" type="Applet" factoryName="Applet">
      <option name="HTML_USED" value="false" />
      <option name="WIDTH" value="400" />
      <option name="HEIGHT" value="300" />
      <option name="POLICY_FILE" value="$APPLICATION_HOME_DIR$/bin/appletviewer.policy" />
      <module />
      <method />
    </configuration>
    <configuration default="true" type="Application" factoryName="Application">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <option name="MAIN_CLASS_NAME" />
      <option name="VM_PARAMETERS" />
      <option name="PROGRAM_PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="ENABLE_SWING_INSPECTOR" value="false" />
      <option name="ENV_VARIABLES" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <module name="" />
      <envs />
      <method />
    </configuration>
    <configuration default="true" type="CucumberJavaRunConfigurationType" factoryName="Cucumber java">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <option name="myFilePath" />
      <option name="GLUE" />
      <option name="myNameFilter" />
      <option name="myGeneratedName" />
      <option name="MAIN_CLASS_NAME" />
      <option name="VM_PARAMETERS" />
      <option name="PROGRAM_PARAMETERS" />
      <option name="WORKING_DIRECTORY" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="ENABLE_SWING_INSPECTOR" value="false" />
      <option name="ENV_VARIABLES" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <module name="" />
      <envs />
      <method />
    </configuration>
    <configuration default="true" type="FlashRunConfigurationType" factoryName="Flash App">
      <option name="BCName" value="" />
      <option name="IOSSimulatorSdkPath" value="" />
      <option name="adlOptions" value="" />
      <option name="airProgramParameters" value="" />
      <option name="appDescriptorForEmulator" value="Android" />
      <option name="debugTransport" value="USB" />
      <option name="debuggerSdkRaw" value="BC SDK" />
      <option name="emulator" value="NexusOne" />
      <option name="emulatorAdlOptions" value="" />
      <option name="fastPackaging" value="true" />
      <option name="fullScreenHeight" value="0" />
      <option name="fullScreenWidth" value="0" />
      <option name="launchUrl" value="false" />
      <option name="launcherParameters">
        <LauncherParameters>
          <option name="browser" value="a7bb68e0-33c0-4d6f-a81a-aac1fdb870c8" />
          <option name="launcherType" value="OSDefault" />
          <option name="newPlayerInstance" value="false" />
          <option name="playerPath" value="FlashPlayerDebugger.exe" />
        </LauncherParameters>
      </option>
      <option name="mobileRunTarget" value="Emulator" />
      <option name="moduleName" value="" />
      <option name="overriddenMainClass" value="" />
      <option name="overriddenOutputFileName" value="" />
      <option name="overrideMainClass" value="false" />
      <option name="runTrusted" value="true" />
      <option name="screenDpi" value="0" />
      <option name="screenHeight" value="0" />
      <option name="screenWidth" value="0" />
      <option name="url" value="http://" />
      <option name="usbDebugPort" value="7936" />
      <method />
    </configuration>
    <configuration default="true" type="FlexUnitRunConfigurationType" factoryName="FlexUnit" appDescriptorForEmulator="Android" class_name="" emulatorAdlOptions="" method_name="" package_name="" scope="Class">
      <option name="BCName" value="" />
      <option name="launcherParameters">
        <LauncherParameters>
          <option name="browser" value="a7bb68e0-33c0-4d6f-a81a-aac1fdb870c8" />
          <option name="launcherType" value="OSDefault" />
          <option name="newPlayerInstance" value="false" />
          <option name="playerPath" value="FlashPlayerDebugger.exe" />
        </LauncherParameters>
      </option>
      <option name="moduleName" value="" />
      <option name="trusted" value="true" />
      <method />
    </configuration>
    <configuration default="true" type="GradleRunConfiguration" factoryName="Gradle">
      <ExternalSystemSettings>
        <option name="executionName" />
        <option name="externalProjectPath" />
        <option name="externalSystemIdString" value="GRADLE" />
        <option name="scriptParameters" />
        <option name="taskDescriptions">
          <list />
        </option>
        <option name="taskNames">
          <list />
        </option>
        <option name="vmOptions" />
      </ExternalSystemSettings>
      <method />
    </configuration>
    <configuration default="true" type="GrailsRunConfigurationType" factoryName="Grails">
      <module name="" />
      <setting name="vmparams" value="" />
      <setting name="cmdLine" value="run-app" />
      <setting name="depsClasspath" value="false" />
      <setting name="passParentEnv" value="true" />
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <setting name="launchBrowser" value="false" />
      <method />
    </configuration>
    <configuration default="true" type="JUnit" factoryName="JUnit">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <module name="" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PACKAGE_NAME" />
      <option name="MAIN_CLASS_NAME" />
      <option name="METHOD_NAME" />
      <option name="TEST_OBJECT" value="class" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <option name="ENV_VARIABLES" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <envs />
      <patterns />
      <method />
    </configuration>
    <configuration default="true" type="JUnitTestDiscovery" factoryName="JUnit Test Discovery" changeList="All">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <module name="" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PACKAGE_NAME" />
      <option name="MAIN_CLASS_NAME" />
      <option name="METHOD_NAME" />
      <option name="TEST_OBJECT" value="class" />
      <option name="VM_PARAMETERS" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" />
      <option name="ENV_VARIABLES" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <envs />
      <patterns />
      <method />
    </configuration>
    <configuration default="true" type="JarApplication" factoryName="JAR Application">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <envs />
      <method />
    </configuration>
    <configuration default="true" type="Java Scratch" factoryName="Java Scratch">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <option name="SCRATCH_FILE_ID" value="0" />
      <option name="MAIN_CLASS_NAME" />
      <option name="VM_PARAMETERS" />
      <option name="PROGRAM_PARAMETERS" />
      <option name="WORKING_DIRECTORY" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="ENABLE_SWING_INSPECTOR" value="false" />
      <option name="ENV_VARIABLES" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <module name="" />
      <envs />
      <method />
    </configuration>
    <configuration default="true" type="JavascriptDebugType" factoryName="JavaScript Debug">
      <method />
    </configuration>
    <configuration default="true" type="JetRunConfigurationType" factoryName="Kotlin">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <option name="MAIN_CLASS_NAME" />
      <option name="VM_PARAMETERS" />
      <option name="PROGRAM_PARAMETERS" />
      <option name="WORKING_DIRECTORY" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <module name="web" />
      <envs />
      <method />
    </configuration>
    <configuration default="true" type="KotlinStandaloneScriptRunConfigurationType" factoryName="Kotlin script">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <option name="filePath" />
      <option name="vmParameters" />
      <option name="alternativeJrePath" />
      <option name="programParameters" />
      <option name="passParentEnvs" value="true" />
      <option name="workingDirectory" />
      <option name="isAlternativeJrePathEnabled" value="false" />
      <envs />
      <method />
    </configuration>
    <configuration default="true" type="Remote" factoryName="Remote">
      <option name="USE_SOCKET_TRANSPORT" value="true" />
      <option name="SERVER_MODE" value="false" />
      <option name="SHMEM_ADDRESS" value="javadebug" />
      <option name="HOST" value="localhost" />
      <option name="PORT" value="5005" />
      <method />
    </configuration>
    <configuration default="true" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <module name="" />
      <envs />
      <method />
    </configuration>
    <configuration default="true" type="TestNG" factoryName="TestNG">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <module name="" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="SUITE_NAME" />
      <option name="PACKAGE_NAME" />
      <option name="MAIN_CLASS_NAME" />
      <option name="METHOD_NAME" />
      <option name="GROUP_NAME" />
      <option name="TEST_OBJECT" value="CLASS" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <option name="OUTPUT_DIRECTORY" />
      <option name="ANNOTATION_TYPE" />
      <option name="ENV_VARIABLES" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <option name="USE_DEFAULT_REPORTERS" value="false" />
      <option name="PROPERTIES_FILE" />
      <envs />
      <properties />
      <listeners />
      <method />
    </configuration>
    <configuration default="true" type="TestNGTestDiscovery" factoryName="TestNG Test Discovery" changeList="All">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <module name="" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="SUITE_NAME" />
      <option name="PACKAGE_NAME" />
      <option name="MAIN_CLASS_NAME" />
      <option name="METHOD_NAME" />
      <option name="GROUP_NAME" />
      <option name="TEST_OBJECT" value="CLASS" />
      <option name="VM_PARAMETERS" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" />
      <option name="OUTPUT_DIRECTORY" />
      <option name="ANNOTATION_TYPE" />
      <option name="ENV_VARIABLES" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <option name="USE_DEFAULT_REPORTERS" value="false" />
      <option name="PROPERTIES_FILE" />
      <envs />
      <properties />
      <listeners />
      <method />
    </configuration>
    <configuration default="true" type="TomeeConfiguration" factoryName="Local" ALTERNATIVE_JRE_ENABLED="false">
      <deployment />
      <server-settings>
        <option name="BASE_DIRECTORY_NAME" value="_web" />
      </server-settings>
      <predefined_log_file id="Tomcat" enabled="true" />
      <predefined_log_file id="Tomcat Catalina" enabled="true" />
      <predefined_log_file id="Tomcat Manager" enabled="false" />
      <predefined_log_file id="Tomcat Host Manager" enabled="false" />
      <predefined_log_file id="Tomcat Localhost Access" enabled="false" />
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <RunnerSettings RunnerId="Debug">
        <option name="DEBUG_PORT" value="49758" />
      </RunnerSettings>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Cover">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Debug">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Run">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <method />
    </configuration>
    <configuration default="true" type="js.build_tools.gulp" factoryName="Gulp.js">
      <node-options />
      <gulpfile />
      <tasks />
      <arguments />
      <envs />
      <method />
    </configuration>
    <configuration default="true" type="js.build_tools.npm" factoryName="npm">
      <command value="run-script" />
      <scripts />
      <envs />
      <method />
    </configuration>
    <configuration default="true" type="osgi.bnd.run" factoryName="Run Launcher">
      <method />
    </configuration>
    <configuration default="true" type="osgi.bnd.run" factoryName="Test Launcher (JUnit)">
      <method />
    </configuration>
  </component>
  <component name="ShelveChangesManager" show_recycled="false" />
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="a2a07390-9c39-48da-8868-716b3e08aa50" name="Default" comment="" />
      <created>1475206139426</created>
      <option name="number" value="Default" />
      <updated>1475206139426</updated>
      <workItem from="1475206141367" duration="7001000" />
      <workItem from="1475217617735" duration="1478000" />
      <workItem from="1475220653061" duration="7605000" />
      <workItem from="1475888149426" duration="23298000" />
      <workItem from="1475974453735" duration="25088000" />
      <workItem from="1476061191312" duration="29403000" />
      <workItem from="1476147363674" duration="26659000" />
      <workItem from="1476233613034" duration="6481000" />
      <workItem from="1476243261855" duration="8000" />
      <workItem from="1476243354582" duration="3064000" />
      <workItem from="1476249571533" duration="640000" />
      <workItem from="1476250847749" duration="12073000" />
      <workItem from="1476320686963" duration="28717000" />
      <workItem from="1476406951771" duration="24852000" />
      <workItem from="1476665878162" duration="29988000" />
      <workItem from="1476752593416" duration="28531000" />
      <workItem from="1476838673872" duration="15664000" />
      <workItem from="1476924818188" duration="23735000" />
      <workItem from="1477011261711" duration="7518000" />
      <workItem from="1477028111104" duration="7259000" />
      <workItem from="1477271651336" duration="1294000" />
      <workItem from="1477273313495" duration="26428000" />
      <workItem from="1477357110797" duration="26866000" />
      <workItem from="1477443170615" duration="28911000" />
      <workItem from="1477531358413" duration="24249000" />
      <workItem from="1477616247958" duration="27389000" />
      <workItem from="1477875740779" duration="30435000" />
      <workItem from="1477961929669" duration="23822000" />
      <workItem from="1478048525010" duration="20842000" />
      <workItem from="1478082752271" duration="1321000" />
      <workItem from="1478134756449" duration="22108000" />
      <workItem from="1478480541643" duration="1023000" />
      <workItem from="1478503561422" duration="6397000" />
      <workItem from="1478584203979" duration="10914000" />
      <workItem from="1478597953985" duration="3243000" />
      <workItem from="1478653434357" duration="28828000" />
      <workItem from="1478739406634" duration="13770000" />
      <workItem from="1478761048554" duration="8938000" />
      <workItem from="1479257486451" duration="7717000" />
      <workItem from="1479274051108" duration="11944000" />
      <workItem from="1479287309067" duration="1676000" />
      <workItem from="1479343483701" duration="858000" />
      <workItem from="1479695102872" duration="3000" />
      <workItem from="1479705379995" duration="9000" />
      <workItem from="1479800400847" duration="19000" />
      <workItem from="1479801302123" duration="8000" />
      <workItem from="1479885172308" duration="1984000" />
      <workItem from="1479981014417" duration="29000" />
      <workItem from="1481081854228" duration="20826000" />
      <workItem from="1481158397775" duration="27758000" />
      <workItem from="1481244823919" duration="2147000" />
      <workItem from="1481248497929" duration="24575000" />
      <workItem from="1481506358563" duration="21022000" />
      <workItem from="1481592542114" duration="17808000" />
      <workItem from="1481680622343" duration="1521000" />
      <workItem from="1481686070112" duration="11093000" />
      <workItem from="1481763245236" duration="1291000" />
      <workItem from="1481875939364" duration="7959000" />
      <workItem from="1482109883347" duration="24849000" />
      <workItem from="1482196527259" duration="14721000" />
      <workItem from="1482281072824" duration="611000" />
      <workItem from="1482368952326" duration="25000" />
      <workItem from="1482459670854" duration="7629000" />
      <workItem from="1482476110076" duration="3000" />
      <workItem from="1482717030889" duration="4000" />
      <workItem from="1482915879031" duration="67000" />
      <workItem from="1482916541700" duration="44000" />
      <workItem from="1482994091003" duration="679000" />
      <workItem from="1483494012475" duration="3213000" />
      <workItem from="1483580015439" duration="13185000" />
      <workItem from="1483692057526" duration="94000" />
      <workItem from="1483929146865" duration="15029000" />
      <workItem from="1483947248880" duration="9796000" />
      <workItem from="1484009741386" duration="7513000" />
      <workItem from="1484019929627" duration="15824000" />
      <workItem from="1484097015456" duration="9719000" />
      <workItem from="1484116328246" duration="11021000" />
      <workItem from="1484183072556" duration="5177000" />
      <workItem from="1484298922695" duration="547000" />
      <workItem from="1484299803090" duration="620000" />
      <workItem from="1484300744134" duration="1257000" />
      <workItem from="1484527970587" duration="877000" />
      <workItem from="1484707432286" duration="1949000" />
      <workItem from="1484725426098" duration="659000" />
      <workItem from="1484804380347" duration="3807000" />
      <workItem from="1484808771092" duration="251000" />
      <workItem from="1484812473949" duration="835000" />
      <workItem from="1484815587901" duration="8075000" />
      <workItem from="1484873417536" duration="1202000" />
      <workItem from="1485046060784" duration="1226000" />
      <workItem from="1485133115554" duration="348000" />
      <workItem from="1486623069954" duration="601000" />
      <workItem from="1486696821455" duration="125000" />
      <workItem from="1486705476278" duration="8383000" />
      <workItem from="1486714095630" duration="124000" />
      <workItem from="1486714228979" duration="990000" />
      <workItem from="1486715329800" duration="32000" />
      <workItem from="1486715377917" duration="1878000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="949076000" />
  </component>
  <component name="TodoView">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1936" height="1056" extended-state="7" />
    <editor active="true" />
    <layout>
      <window_info id="Palette" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="TODO" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32962137" sideWeight="0.5" order="6" side_tool="false" content_ui="tabs" />
      <window_info id="Palette&#9;" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Event Log" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32998884" sideWeight="0.5" order="7" side_tool="true" content_ui="tabs" />
      <window_info id="Version Control" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="9" side_tool="false" content_ui="tabs" />
      <window_info id="Run" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Terminal" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32998884" sideWeight="0.5" order="8" side_tool="false" content_ui="tabs" />
      <window_info id="Designer" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="4" side_tool="false" content_ui="tabs" />
      <window_info id="Project" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="true" show_stripe_button="true" weight="0.18123667" sideWeight="0.5" order="0" side_tool="false" content_ui="combo" />
      <window_info id="Database" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32995737" sideWeight="0.5" order="6" side_tool="false" content_ui="tabs" />
      <window_info id="Structure" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Ant Build" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="UI Designer" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="4" side_tool="false" content_ui="tabs" />
      <window_info id="Favorites" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="true" content_ui="tabs" />
      <window_info id="Debug" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Cvs" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="4" side_tool="false" content_ui="tabs" />
      <window_info id="Message" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Commander" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Inspection" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="5" side_tool="false" content_ui="tabs" />
      <window_info id="Maven Projects" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32995737" sideWeight="0.5" order="5" side_tool="false" content_ui="tabs" />
      <window_info id="Hierarchy" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="2" side_tool="false" content_ui="combo" />
      <window_info id="Find" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32962137" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
    </layout>
  </component>
  <component name="Vcs.Log.UiProperties">
    <option name="RECENTLY_FILTERED_USER_GROUPS">
      <collection />
    </option>
    <option name="RECENTLY_FILTERED_BRANCH_GROUPS">
      <collection />
    </option>
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <option name="time" value="51" />
    </breakpoint-manager>
    <watches-manager />
  </component>
  <component name="antWorkspaceConfiguration">
    <option name="IS_AUTOSCROLL_TO_SOURCE" value="false" />
    <option name="FILTER_TARGETS" value="false" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/play_live.html">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="0" column="0" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding>
            <element signature="n#style#0;n#button#0;n#div#0;n#body#0;n#html#0;n#!!top" expanded="true" />
            <element signature="n#style#0;n#button#1;n#div#0;n#body#0;n#html#0;n#!!top" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/play_live.html">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="0" column="0" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding>
            <element signature="n#style#0;n#button#0;n#div#0;n#body#0;n#html#0;n#!!top" expanded="true" />
            <element signature="n#style#0;n#button#1;n#div#0;n#body#0;n#html#0;n#!!top" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/play_live.html">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="0" column="0" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding>
            <element signature="n#style#0;n#button#0;n#div#0;n#body#0;n#html#0;n#!!top" expanded="true" />
            <element signature="n#style#0;n#button#1;n#div#0;n#body#0;n#html#0;n#!!top" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/pc_index.html">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="1296" column="9" selection-start-line="1296" selection-start-column="9" selection-end-line="1296" selection-end-column="9" />
          <folding>
            <marker date="1486713227754" expanded="true" signature="5826:5859" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="5981:6014" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="6163:6174" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="6336:6368" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="6406:6418" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="10193:10217" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="10406:10447" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="10546:10704" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="12756:12780" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="12967:13008" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="13105:13263" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="14413:14438" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="20519:20543" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="20738:20779" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="20874:21032" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="21125:21137" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="22133:22158" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="25545:25569" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="25763:25804" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="25899:26057" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="26150:26162" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="27158:27183" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="30620:30644" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="30839:30880" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="30977:31135" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="31229:31241" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="32265:32290" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="35673:35697" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="35892:35933" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="36030:36188" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="36282:36294" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="37314:37339" placeholder="..." />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/play_live.html">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="0" column="0" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding>
            <element signature="n#style#0;n#button#0;n#div#0;n#body#0;n#html#0;n#!!top" expanded="true" />
            <element signature="n#style#0;n#button#1;n#div#0;n#body#0;n#html#0;n#!!top" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/cut_video_image.html">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="-8.185185">
          <caret line="26" column="22" selection-start-line="26" selection-start-column="22" selection-end-line="26" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/download_file.html">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="-18.307692">
          <caret line="28" column="12" selection-start-line="28" selection-start-column="12" selection-end-line="28" selection-end-column="12" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/edit_transfer.html">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="-7.5555553">
          <caret line="24" column="30" selection-start-line="24" selection-start-column="30" selection-end-line="24" selection-end-column="30" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/encoder_list.html">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="-5.037037">
          <caret line="28" column="20" selection-start-line="28" selection-start-column="20" selection-end-line="28" selection-end-column="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/index.html">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="0" column="0" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/iphone_index.html">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="-2.5185184">
          <caret line="8" column="0" selection-start-line="8" selection-start-column="0" selection-end-line="23" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lic_info.html">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="-7.5555553">
          <caret line="24" column="0" selection-start-line="24" selection-start-column="0" selection-end-line="39" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/live_conn_list.html">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="-7.5555553">
          <caret line="24" column="0" selection-start-line="24" selection-start-column="0" selection-end-line="39" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/live_furls.html">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="-5.351852">
          <caret line="17" column="0" selection-start-line="17" selection-start-column="0" selection-end-line="32" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/live_guid_play.html">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="-6.296296">
          <caret line="20" column="0" selection-start-line="20" selection-start-column="0" selection-end-line="35" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/live_index.html">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="-5.6666665">
          <caret line="18" column="41" selection-start-line="18" selection-start-column="41" selection-end-line="18" selection-end-column="41" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/live_list.html">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="-18.307692">
          <caret line="28" column="0" selection-start-line="28" selection-start-column="0" selection-end-line="43" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/live_menu.html">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="0" column="0" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/live_qrcode.html">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="-5.037037">
          <caret line="16" column="0" selection-start-line="16" selection-start-column="0" selection-end-line="31" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/live_record_file.html">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="-9.12963">
          <caret line="29" column="12" selection-start-line="29" selection-start-column="12" selection-end-line="29" selection-end-column="12" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/live_record_time.html">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="-6.296296">
          <caret line="20" column="0" selection-start-line="20" selection-start-column="0" selection-end-line="35" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/live_replace.html">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="-6.9259257">
          <caret line="22" column="0" selection-start-line="22" selection-start-column="0" selection-end-line="37" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/live_substream.html">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="-7.240741">
          <caret line="23" column="0" selection-start-line="23" selection-start-column="0" selection-end-line="38" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/live_while_play.html">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="-9.722222">
          <caret line="34" column="0" selection-start-line="34" selection-start-column="0" selection-end-line="49" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/login.html">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="9.807693">
          <caret line="0" column="0" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/media_choose.html">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="-2.5185184">
          <caret line="26" column="0" selection-start-line="26" selection-start-column="0" selection-end-line="41" selection-end-column="8" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mobile_index.html">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="-10.074074">
          <caret line="68" column="22" selection-start-line="68" selection-start-column="22" selection-end-line="68" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/modifyip.html">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="-7.8703704">
          <caret line="25" column="0" selection-start-line="25" selection-start-column="0" selection-end-line="40" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/play_vod_file.html">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="19" column="0" selection-start-line="19" selection-start-column="0" selection-end-line="34" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/server_startup.html">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="25" column="0" selection-start-line="25" selection-start-column="0" selection-end-line="40" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/spilt_m3u8_list.html">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="27" column="0" selection-start-line="27" selection-start-column="0" selection-end-line="42" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/start_transfer.html">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="28" column="0" selection-start-line="28" selection-start-column="0" selection-end-line="43" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/transfer_list.html">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="26" column="0" selection-start-line="26" selection-start-column="0" selection-end-line="41" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/transfer_media_list.html">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="28" column="0" selection-start-line="28" selection-start-column="0" selection-end-line="43" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/upload_file.html">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="38" column="0" selection-start-line="38" selection-start-column="0" selection-end-line="53" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/vod_list.html">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="24" column="0" selection-start-line="24" selection-start-column="0" selection-end-line="39" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/vod_media_file.html">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.62589073">
          <caret line="31" column="12" selection-start-line="31" selection-start-column="12" selection-end-line="31" selection-end-column="12" />
          <folding>
            <marker date="1486693091252" expanded="true" signature="10033:10058" placeholder="..." />
            <marker date="1486693091252" expanded="true" signature="14517:14542" placeholder="..." />
            <marker date="1486693091252" expanded="true" signature="18916:18941" placeholder="..." />
            <marker date="1486693091252" expanded="true" signature="20827:20852" placeholder="..." />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/clear_media.html">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="-2.004745">
          <caret line="0" column="0" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/edit_live.html">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="-5.54567">
          <caret line="158" column="52" selection-start-line="158" selection-start-column="52" selection-end-line="158" selection-end-column="52" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/play_live.html">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="-0.8769841">
          <caret line="30" column="0" selection-start-line="30" selection-start-column="0" selection-end-line="30" selection-end-column="0" />
          <folding>
            <element signature="n#style#0;n#button#0;n#div#0;n#body#0;n#html#0;n#!!top" expanded="true" />
            <element signature="n#style#0;n#button#1;n#div#0;n#body#0;n#html#0;n#!!top" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/pc_index.html">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.26334518">
          <caret line="1338" column="1" selection-start-line="1338" selection-start-column="1" selection-end-line="1338" selection-end-column="1" />
          <folding>
            <marker date="1486713227754" expanded="true" signature="5826:5859" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="5981:6014" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="6163:6174" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="6336:6368" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="6406:6418" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="10193:10217" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="10406:10447" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="10546:10704" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="12756:12780" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="12967:13008" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="13105:13263" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="14413:14438" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="20519:20543" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="20738:20779" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="20874:21032" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="21125:21137" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="22133:22158" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="25545:25569" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="25763:25804" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="25899:26057" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="26150:26162" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="27158:27183" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="30620:30644" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="30839:30880" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="30977:31135" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="31229:31241" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="32265:32290" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="35673:35697" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="35892:35933" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="36030:36188" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="36282:36294" placeholder="..." />
            <marker date="1486713227754" expanded="true" signature="37314:37339" placeholder="..." />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>